*{
    scroll-behavior: smooth ;
}

html, body {
    max-width: 100%;
    overflow-x: hidden;
}

body{
    width: 100%; /*permet de définir la largeur d'un élément*/
    margin: 0; /*définit la taille des marges d'un l'élément*/
    padding: 0; /*permet de définir les différents écarts de remplissage d'un l'élément*/
    display: flex; /*définit le type d'affichage utilisée pour le rendu d'un élément*/
    flex-direction: column; /*elle définit l'axe principal et la direction des éléments*/
    align-items: center; /*cette propriété contrôle l'alignement d'un l'élément*/
    justify-content: center; /*indique la façon dont l'espace doit être réparti entre et autour des éléments*/
    font-family: 'Fjalla One', sans-serif; /*permet de définir une police*/
}

a{
    text-decoration: none; /*est utilisée pour décorer le texte en ajoutant une ligne pouvant être positionnée sous, sur ou à travers le texte*/
    color: rgb(0, 0, 0);
    font-weight: 600; /*Le poids est l'épaisseur globale du trait d'une police*/
    padding: 0.3rem;
}

header nav .dropdown {
    position: relative;
    display: inline-block;
}

header nav .dropdown-content {
    border-radius: 10px;
    padding: 7px;
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 225px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

header nav .dropdown-content a {
    color: black;
    padding: 5px 5px;
    text-decoration: none;
    display: block;
}

header nav .dropdown-content a:hover {
    background-color: #40c440;
    border-radius: 10px;
}

header nav .dropdown:hover .dropdown-content {
    display: block;
}

header nav .dropdown:hover .ac {
    background-color: #40c440;
}

header{
    background-color: rgb(233, 233, 233); /*La couleur de l arrière plan*/
    top: 0; /*définit une partie de la position des éléments positionnés*/
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
	z-index: 1;
}

header h2{
    color: rgb(0, 0, 0);
    text-align: center;
}

input[type="search"]{
    font-weight: 600;
    border-radius: 1rem; /*permet de définir des coins arrondis pour la bordure d'un élément*/
    text-align: center;
    height: 2rem; /*définit la hauteur de la boîte de contenu d'un élément*/
    width: 35rem;
    padding: 1.1rem;
	border: 1px solid rgb(53, 100, 255);
}

nav{
    display: flex;
    gap: 2rem; /*est une propriété raccourcie qui permet de définir les espaces entre les lignes et entre les colonnes d'une grille*/
    text-align: center;
    flex-wrap: wrap;
}

.row{
	display: flex;
	align-items: center;
	flex-wrap: wrap; /*indique si les éléments flexibles sont contraints à être disposés sur une seule ligne ou s'ils peuvent être affichés sur plusieurs lignes*/
	justify-content: space-around;
}

.ac{
	display: inline-block;
	background:  rgb(233, 233, 233);
	color: rgb(0, 0, 0);
	padding: 7px 4px;
	margin: 5px 3px;
	border-radius: 10px;
	transition: background-color 0.5s; /*Permet de cree une transition*/
}

.ac:hover{
	background: #40c440;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 50vh;

}

.content {
    background-color: #ffffff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    max-width: 1500px;
    max-height: 800px;
    display: flex;
    flex-wrap: wrap;
    margin: 20px;
    padding-bottom: 0px;
}

.image-container img {
    width: 80%;
    height: auto;
    border-radius: 10px 10px 10px 10px;
    display: inline-block;
}

.text-container {
    padding: 0px;
    flex: 1;
    margin-left: 55%;
    transform: translateY(-73.3%);
    margin-right: 15px;

}

.text-container h2 {
    color: rgb(13, 55, 192);
    margin-top: 0;
    transform: translateX(1%) translateY(22px); 
}

.text-container h2::after {
	content: '\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0\00a0';
	background: #40c440;
	width: 200px;
	height: 4px;
	border-radius: 5px;
	position: absolute;
	bottom: 0; 
	left: 50%; 
	transform: translateX(-162%) translateY(500%); 
}

.text-container p {
    margin: 10px 0;
    line-height: 1.6;
    transform: translateX(1%) translateY(55px); 
}

.liste {
   border: 2px dashed #024587;
   transform: translateY(25%) translateX(-123%);
   border-radius: 10px;
}
.text-container h3 {
    color: rgb(13, 55, 192);
    margin-top: 20px;
    margin-left: 15px;
}

.text-container ul {
    margin-left: 35px;
    list-style: none;
    padding: 0;
}

.text-container ul li {
    margin: 10px 0;
    color: #006400;
}

.contact {
    background-color: #e6f7ff;
    padding: 10px;
    border-radius: 5px;
    margin-top: 20px;
    text-align: center;
    font-size: 1.2em;
    font-weight: bold;
}

.btn {
    font-size: 1.2rem;
    padding: 1rem 2.5rem;
    border: none;
    outline: none;
    border-radius: 0.4rem;
    cursor: pointer;
    text-transform: uppercase;
    background-color: #117011;
    color: rgb(234, 234, 234);
    font-weight: 700;
    transition: 0.6s;
    box-shadow: 0px 0px 60px #1f4c65;
    -webkit-box-reflect: below 10px linear-gradient(to bottom, rgba(0,0,0,0.0), rgba(0,0,0,0.4));
    transform: translateY(250%) translateX(55%);
  }
  
  .btn:active {
    scale: 0.92;
  }
  
  .btn:hover {
    background: rgb(2,29,78);
    background: linear-gradient(270deg, #0f5b0f 0%, rgba(11, 187, 29, 0.873) 60%);
    color: rgb(48, 48, 54);
  }

.brand-container {
    overflow: hidden;
    width: 100%;
    background-color: white;
    box-shadow: 0 20px 5px rgba(0, 0, 0, 0.1);
    box-shadow: 0 0px 10px rgb(0, 0, 0);
}

.brand-slider {
    display: flex;
    width: 100%;
    animation: slide 20s linear infinite;
}

.brand-slide {
    display: flex;
}

.brand-slide img {
    height: 80px;
    margin: 0 10px;
    opacity: 0.5; /* Make the images initially opaque */
    transition: opacity 0.3s ease-in-out; /* Smooth transition effect */
}

.brand-slide img:hover {
    opacity: 1; /* Fully visible when hovered */
}

@keyframes slide {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-50%);
    }
}

footer{
    padding: 1rem;
    background-color: rgb(233, 233, 233);
    align-items: center;
    width: 100%;
}

.list{
    display: flex;
    justify-content: space-around;
}